# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl


%define name    add2menu
%define version 0.2
%define release 1.2007mcnl
%define summary add a menu item to the menu
%define section System/Configuration
%define title   %{name}

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor: 	Mandrivaclub.nl
URL: 		http://www.mandrivaclub.nl
License:        GPL
Group:          System/Configuration/Other
Source0:        %{name}-%{version}.tar.bz2

BuildArch:  	noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
Requires:  	kdewebdev-kommander ImageMagick

%description
Add 2 menu add a menu item to the mandriva menu.
Also add a icon for your item if you want.


%prep

rm -rf %{buildroot}

%setup -q

%install

install -d $RPM_BUILD_ROOT%{_bindir}
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/add2menu
#!/bin/sh
exec kmdr-executor %{_datadir}/apps/%{name}/add2menu.kmdr
exit 0
EOF

mkdir -p %{buildroot}%{_datadir}/apps/%{name}
cp -f * %{buildroot}%{_datadir}/apps/%{name}


# New Menu 2007
mkdir -p %buildroot%{_datadir}/applications/kde
cat > %buildroot%{_datadir}/applications/kde/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Add 2 menu
Comment=%{summary}
Exec=add2menu
Icon=kmenuedit.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Configuration


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root) 
%doc COPYING 
%attr(755,root,root)%{_bindir}/add2menu
%{_datadir}/applications/kde/%{name}.desktop
%attr(644,root,root) %{_datadir}/apps/%{name}/*

%changelog 
*Wed Feb 28 2007 Marco Meijer <marco@mandrivaclub.nl> 0.2-1.2007mcnl
new version

*Sat Feb 10 2007 Marco Meijer <marco@mandrivaclub.nl> 0.1-1.2007mcnl
first mandrivaclub.nl version



